### Class

# Phosh Manager

since: 0

#### Description [src]

    class Phosh.Manager : GObject.Object
    {
      /* No available fields */
    }

Base class for manager objects

Common functionality for manager objects.

Available since: 0

#### Ancestors

- GObject

#### Descendants

- PhoshBackgroundManager
- PhoshBtManager
- PhoshCallsManager
- PhoshEmergencyCallsManager
- PhoshLauncherEntryManager
- PhoshModeManager
- PhoshSuspendManager
- PhoshTorchManager

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshManagerClass {
      GObjectClass parent_class;
      void (* idle_init) (
        PhoshManager* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`idle_init: void (* idle_init) ( PhoshManager* self )`

  A callback to be invoked once on idle.

#### Virtual methods

###### Phosh.ManagerClass.idle_init

A callback to be invoked once on idle.

since: 0